package com.malk.huagao.controller;

import com.malk.huagao.service.IKdYdOrderService;
import com.malk.server.common.McR;
import com.malk.service.aliwork.YDClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author LQY
 * @since 2025-10-15
 */
@RestController
@RequestMapping("/hg")
public class KdYdOrderController {
    @Autowired
    private YDClient ydClient;
    @Autowired
    private IKdYdOrderService kdYdOrderService;
    @PostMapping("/kdYdOrder")
    Map<String, Object> insertkdYdOrder(@RequestBody Map map) {
       Map result = kdYdOrderService.insertkdYdOrder(map);
        return result;
    }
    @PostMapping("/SckdYdOrder")
    McR SckdYdOrder(@RequestBody Map map) {
        kdYdOrderService.SckdYdOrder(map);
        return McR.success();
    }
}
